package com.sysu.admin.controller.lz.everyday;

import com.sysu.admin.support.base.BaseService;
import com.xiesx.fastboot.core.jpa.JpaPlusRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LzEverydayImgService extends BaseService<LzEverydayImage, Integer> {

    @Autowired
    private LzEverydayImageRepository lzEverydayImageRepository;

    public List<LzEverydayImage> findAllByEverydayId(Integer everydayId){
        return lzEverydayImageRepository.findAllByEverydayId(everydayId);
    }

    @Override
    public JpaPlusRepository<LzEverydayImage, Integer> r() {
        return lzEverydayImageRepository;
    }
}
